#ifndef __MEMORY_H__
#define __MEMORY_H__

#include <limine.h>
#include <stddef.h>

void mem_init();
void mem_add(uint64_t base, uint64_t len);
void* mem_alloc(size_t sz);

struct mem_desc {
	uint64_t base;
	uint64_t len;
};

extern struct limine_kernel_address_response* kernel_address;

#endif
